org.jboss.jca.core.connectionmanager.pool

## Class PoolStatisticsImpl

- java.lang.Object
- - org.jboss.jca.core.connectionmanager.pool.PoolStatisticsImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics, org.jboss.jca.core.spi.statistics.StatisticsPlugin, org.jboss.jca.core.spi.transaction.XAResourceStatistics

      public class PoolStatisticsImpl
      extends java.lang.Object
      implements org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics, org.jboss.jca.core.spi.transaction.XAResourceStatistics

  Pool statistics
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PoolStatisticsImpl(int maxPoolSize)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear all statistics
    `void` | `deltaBlockingFailureCount()` Delta the blocking failure count value
    `void` | `deltaCommit(long time)` Delta commit
    `void` | `deltaCreatedCount()` Delta the created count value
    `void` | `deltaDestroyedCount()` Delta the destroyed count value
    `void` | `deltaEnd(long time)` Delta end
    `void` | `deltaForget(long time)` Delta forget
    `void` | `deltaPrepare(long time)` Delta prepare
    `void` | `deltaRecover(long time)` Delta recover
    `void` | `deltaRollback(long time)` Delta rollback
    `void` | `deltaStart(long time)` Delta start
    `void` | `deltaTimedOut()` Delta the timed out value
    `void` | `deltaTotalBlockingTime(long delta)` Add delta to total blocking timeout
    `void` | `deltaTotalCreationTime(long delta)` Add delta to total creation time
    `void` | `deltaTotalGetTime(long delta)` Add delta to total get time
    `void` | `deltaTotalPoolTime(long delta)` Add delta to total pool time
    `void` | `deltaTotalUsageTime(long delta)` Add delta to total usage time
    `void` | `deltaWaitCount()` Add delta wait count
    `int` | `getActiveCount()` Get active count
    `int` | `getAvailableCount()` Get the available count
    `long` | `getAverageBlockingTime()` Get the average time spent waiting on a connection (milliseconds)
    `long` | `getAverageCreationTime()` Get the average time spent creating a connection (milliseconds)
    `long` | `getAverageGetTime()` Get the average time spent obtaining a connection (milliseconds)
    `long` | `getAveragePoolTime()` Get the average time for a connection in the pool (milliseconds)
    `long` | `getAverageUsageTime()` Get the average time spent using a connection (milliseconds)
    `int` | `getBlockingFailureCount()` Get the blocking failure count
    `long` | `getCommitAverageTime()` Get the commit average time (milliseconds)
    `long` | `getCommitCount()` Get the commit count
    `long` | `getCommitMaxTime()` Get the commit max time (milliseconds)
    `long` | `getCommitTotalTime()` Get the commit total time (milliseconds)
    `int` | `getCreatedCount()` Get created count
    `java.lang.String` | `getDescription(java.lang.String name)` Get the description
    `java.lang.String` | `getDescription(java.lang.String name, java.util.Locale locale)` Get the description
    `int` | `getDestroyedCount()` Get destroyed count
    `long` | `getEndAverageTime()` Get the end average time (milliseconds)
    `long` | `getEndCount()` Get the end count
    `long` | `getEndMaxTime()` Get the end max time (milliseconds)
    `long` | `getEndTotalTime()` Get the end total time (milliseconds)
    `long` | `getForgetAverageTime()` Get the forget average time (milliseconds)
    `long` | `getForgetCount()` Get the forget count
    `long` | `getForgetMaxTime()` Get the forget max time (milliseconds)
    `long` | `getForgetTotalTime()` Get the forget total time (milliseconds)
    `int` | `getIdleCount()` Get idle count
    `int` | `getInUseCount()` Get in use count
    `long` | `getMaxCreationTime()` Get max creation time (milliseconds)
    `long` | `getMaxGetTime()` Get max get time (milliseconds)
    `long` | `getMaxPoolTime()` Get max pool time (milliseconds)
    `long` | `getMaxUsageTime()` Get max usage time (milliseconds)
    `int` | `getMaxUsedCount()` Get max used count
    `int` | `getMaxWaitCount()` Get max wait count
    `long` | `getMaxWaitTime()` Get max wait time (milliseconds)
    `java.util.Set<java.lang.String>` | `getNames()` Get the statistics names
    `long` | `getPrepareAverageTime()` Get the prepare average time (milliseconds)
    `long` | `getPrepareCount()` Get the prepare count
    `long` | `getPrepareMaxTime()` Get the prepare max time (milliseconds)
    `long` | `getPrepareTotalTime()` Get the prepare total time (milliseconds)
    `long` | `getRecoverAverageTime()` Get the recover average time (milliseconds)
    `long` | `getRecoverCount()` Get the recover count
    `long` | `getRecoverMaxTime()` Get the recover max time (milliseconds)
    `long` | `getRecoverTotalTime()` Get the recover total time (milliseconds)
    `long` | `getRollbackAverageTime()` Get the rollback average time (milliseconds)
    `long` | `getRollbackCount()` Get the rollback count
    `long` | `getRollbackMaxTime()` Get the rollback max time (milliseconds)
    `long` | `getRollbackTotalTime()` Get the rollback total time (milliseconds)
    `long` | `getStartAverageTime()` Get the start average time (milliseconds)
    `long` | `getStartCount()` Get the start count
    `long` | `getStartMaxTime()` Get the start max time (milliseconds)
    `long` | `getStartTotalTime()` Get the start total time (milliseconds)
    `int` | `getTimedOut()` Get timed out
    `long` | `getTotalBlockingTime()` Get the total time spent waiting on connections (milliseconds)
    `long` | `getTotalCreationTime()` Get the total time spent creating connections (milliseconds)
    `long` | `getTotalGetTime()` Get the total time spent obtaining connections (milliseconds)
    `long` | `getTotalPoolTime()` Get the total time for connections in the pool (milliseconds)
    `long` | `getTotalUsageTime()` Get the total time spent using connections (milliseconds)
    `java.lang.Class` | `getType(java.lang.String name)` Get the type
    `java.lang.Object` | `getValue(java.lang.String name)` Get the value of the statistics
    `int` | `getWaitCount()` Get wait count
    `boolean` | `isEnabled()` Is the statistics module enabled
    `void` | `setEnabled(boolean v)` Set the statistics module enabled
    `void` | `setInUsedCount(int v)` Set in used count
    `void` | `setMaxWaitCount(int v)` Set max wait count
    `java.lang.String` | `toString()` toString

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PoolStatisticsImpl

          public PoolStatisticsImpl(int maxPoolSize)

      Constructor
      Parameters:
        `maxPoolSize` - The maximum pool size

  - ### Method Detail

    - #### getNames

          public java.util.Set<java.lang.String> getNames()

      Get the statistics names
      Specified by:
        `getNames` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`
      Returns:
        The value

    - #### getType

          public java.lang.Class getType(java.lang.String name)

      Get the type
      Specified by:
        `getType` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`
      Parameters:
        `name` - The name of the statistics
      Returns:
        The value

    - #### getDescription

          public java.lang.String getDescription(java.lang.String name)

      Get the description
      Specified by:
        `getDescription` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`
      Parameters:
        `name` - The name of the statistics
      Returns:
        The value

    - #### getDescription

          public java.lang.String getDescription(java.lang.String name,
                                                 java.util.Locale locale)

      Get the description
      Specified by:
        `getDescription` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`
      Parameters:
        `name` - The name of the statistics
        `locale` - The locale
      Returns:
        The value

    - #### getValue

          public java.lang.Object getValue(java.lang.String name)

      Get the value of the statistics
      Specified by:
        `getValue` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`
      Parameters:
        `name` - The name of the statistics
      Returns:
        The value

    - #### isEnabled

          public boolean isEnabled()

      Is the statistics module enabled
      Specified by:
        `isEnabled` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`
      Returns:
        The value

    - #### setEnabled

          public void setEnabled(boolean v)

      Set the statistics module enabled
      Specified by:
        `setEnabled` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`
      Parameters:
        `v` - The value

    - #### getActiveCount

          public int getActiveCount()

      Get active count
      Specified by:
        `getActiveCount` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### getAvailableCount

          public int getAvailableCount()

      Get the available count
      Specified by:
        `getAvailableCount` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### getAverageBlockingTime

          public long getAverageBlockingTime()

      Get the average time spent waiting on a connection (milliseconds)
      Specified by:
        `getAverageBlockingTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### getAverageCreationTime

          public long getAverageCreationTime()

      Get the average time spent creating a connection (milliseconds)
      Specified by:
        `getAverageCreationTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### getAverageGetTime

          public long getAverageGetTime()

      Get the average time spent obtaining a connection (milliseconds)
      Specified by:
        `getAverageGetTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### getAverageUsageTime

          public long getAverageUsageTime()

      Get the average time spent using a connection (milliseconds)
      Specified by:
        `getAverageUsageTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### getAveragePoolTime

          public long getAveragePoolTime()

      Get the average time for a connection in the pool (milliseconds)
      Specified by:
        `getAveragePoolTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### getBlockingFailureCount

          public int getBlockingFailureCount()

      Get the blocking failure count
      Specified by:
        `getBlockingFailureCount` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### deltaBlockingFailureCount

          public void deltaBlockingFailureCount()

      Delta the blocking failure count value

    - #### getCreatedCount

          public int getCreatedCount()

      Get created count
      Specified by:
        `getCreatedCount` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### deltaCreatedCount

          public void deltaCreatedCount()

      Delta the created count value

    - #### getDestroyedCount

          public int getDestroyedCount()

      Get destroyed count
      Specified by:
        `getDestroyedCount` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### deltaDestroyedCount

          public void deltaDestroyedCount()

      Delta the destroyed count value

    - #### getIdleCount

          public int getIdleCount()

      Get idle count
      Specified by:
        `getIdleCount` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### getInUseCount

          public int getInUseCount()

      Get in use count
      Specified by:
        `getInUseCount` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### setInUsedCount

          public void setInUsedCount(int v)

      Set in used count
      Parameters:
        `v` - The value

    - #### getMaxUsedCount

          public int getMaxUsedCount()

      Get max used count
      Specified by:
        `getMaxUsedCount` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### getMaxCreationTime

          public long getMaxCreationTime()

      Get max creation time (milliseconds)
      Specified by:
        `getMaxCreationTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### getMaxGetTime

          public long getMaxGetTime()

      Get max get time (milliseconds)
      Specified by:
        `getMaxGetTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### getMaxPoolTime

          public long getMaxPoolTime()

      Get max pool time (milliseconds)
      Specified by:
        `getMaxPoolTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### getMaxUsageTime

          public long getMaxUsageTime()

      Get max usage time (milliseconds)
      Specified by:
        `getMaxUsageTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### getMaxWaitCount

          public int getMaxWaitCount()

      Get max wait count
      Specified by:
        `getMaxWaitCount` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### setMaxWaitCount

          public void setMaxWaitCount(int v)

      Set max wait count
      Parameters:
        `v` - The value

    - #### getMaxWaitTime

          public long getMaxWaitTime()

      Get max wait time (milliseconds)
      Specified by:
        `getMaxWaitTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### getTimedOut

          public int getTimedOut()

      Get timed out
      Specified by:
        `getTimedOut` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### deltaTimedOut

          public void deltaTimedOut()

      Delta the timed out value

    - #### getTotalBlockingTime

          public long getTotalBlockingTime()

      Get the total time spent waiting on connections (milliseconds)
      Specified by:
        `getTotalBlockingTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### deltaTotalBlockingTime

          public void deltaTotalBlockingTime(long delta)

      Add delta to total blocking timeout
      Parameters:
        `delta` - The value

    - #### getTotalCreationTime

          public long getTotalCreationTime()

      Get the total time spent creating connections (milliseconds)
      Specified by:
        `getTotalCreationTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### deltaTotalCreationTime

          public void deltaTotalCreationTime(long delta)

      Add delta to total creation time
      Parameters:
        `delta` - The value

    - #### getTotalGetTime

          public long getTotalGetTime()

      Get the total time spent obtaining connections (milliseconds)
      Specified by:
        `getTotalGetTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### deltaTotalGetTime

          public void deltaTotalGetTime(long delta)

      Add delta to total get time
      Parameters:
        `delta` - The value

    - #### getTotalPoolTime

          public long getTotalPoolTime()

      Get the total time for connections in the pool (milliseconds)
      Specified by:
        `getTotalPoolTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### deltaTotalPoolTime

          public void deltaTotalPoolTime(long delta)

      Add delta to total pool time
      Parameters:
        `delta` - The value

    - #### getTotalUsageTime

          public long getTotalUsageTime()

      Get the total time spent using connections (milliseconds)
      Specified by:
        `getTotalUsageTime` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### deltaTotalUsageTime

          public void deltaTotalUsageTime(long delta)

      Add delta to total usage time
      Parameters:
        `delta` - The value

    - #### getWaitCount

          public int getWaitCount()

      Get wait count
      Specified by:
        `getWaitCount` in interface `org.jboss.jca.core.api.connectionmanager.pool.PoolStatistics`
      Returns:
        The value

    - #### deltaWaitCount

          public void deltaWaitCount()

      Add delta wait count

    - #### getCommitCount

          public long getCommitCount()

      Get the commit count
      Specified by:
        `getCommitCount` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getCommitTotalTime

          public long getCommitTotalTime()

      Get the commit total time (milliseconds)
      Specified by:
        `getCommitTotalTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getCommitAverageTime

          public long getCommitAverageTime()

      Get the commit average time (milliseconds)
      Specified by:
        `getCommitAverageTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getCommitMaxTime

          public long getCommitMaxTime()

      Get the commit max time (milliseconds)
      Specified by:
        `getCommitMaxTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### deltaCommit

          public void deltaCommit(long time)

      Delta commit
      Specified by:
        `deltaCommit` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Parameters:
        `time` - The milliseconds

    - #### getEndCount

          public long getEndCount()

      Get the end count
      Specified by:
        `getEndCount` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getEndTotalTime

          public long getEndTotalTime()

      Get the end total time (milliseconds)
      Specified by:
        `getEndTotalTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getEndAverageTime

          public long getEndAverageTime()

      Get the end average time (milliseconds)
      Specified by:
        `getEndAverageTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getEndMaxTime

          public long getEndMaxTime()

      Get the end max time (milliseconds)
      Specified by:
        `getEndMaxTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### deltaEnd

          public void deltaEnd(long time)

      Delta end
      Specified by:
        `deltaEnd` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Parameters:
        `time` - The milliseconds

    - #### getForgetCount

          public long getForgetCount()

      Get the forget count
      Specified by:
        `getForgetCount` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getForgetTotalTime

          public long getForgetTotalTime()

      Get the forget total time (milliseconds)
      Specified by:
        `getForgetTotalTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getForgetAverageTime

          public long getForgetAverageTime()

      Get the forget average time (milliseconds)
      Specified by:
        `getForgetAverageTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getForgetMaxTime

          public long getForgetMaxTime()

      Get the forget max time (milliseconds)
      Specified by:
        `getForgetMaxTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### deltaForget

          public void deltaForget(long time)

      Delta forget
      Specified by:
        `deltaForget` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Parameters:
        `time` - The milliseconds

    - #### getPrepareCount

          public long getPrepareCount()

      Get the prepare count
      Specified by:
        `getPrepareCount` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getPrepareTotalTime

          public long getPrepareTotalTime()

      Get the prepare total time (milliseconds)
      Specified by:
        `getPrepareTotalTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getPrepareAverageTime

          public long getPrepareAverageTime()

      Get the prepare average time (milliseconds)
      Specified by:
        `getPrepareAverageTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getPrepareMaxTime

          public long getPrepareMaxTime()

      Get the prepare max time (milliseconds)
      Specified by:
        `getPrepareMaxTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### deltaPrepare

          public void deltaPrepare(long time)

      Delta prepare
      Specified by:
        `deltaPrepare` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Parameters:
        `time` - The milliseconds

    - #### getRecoverCount

          public long getRecoverCount()

      Get the recover count
      Specified by:
        `getRecoverCount` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getRecoverTotalTime

          public long getRecoverTotalTime()

      Get the recover total time (milliseconds)
      Specified by:
        `getRecoverTotalTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getRecoverAverageTime

          public long getRecoverAverageTime()

      Get the recover average time (milliseconds)
      Specified by:
        `getRecoverAverageTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getRecoverMaxTime

          public long getRecoverMaxTime()

      Get the recover max time (milliseconds)
      Specified by:
        `getRecoverMaxTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### deltaRecover

          public void deltaRecover(long time)

      Delta recover
      Specified by:
        `deltaRecover` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Parameters:
        `time` - The milliseconds

    - #### getRollbackCount

          public long getRollbackCount()

      Get the rollback count
      Specified by:
        `getRollbackCount` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getRollbackTotalTime

          public long getRollbackTotalTime()

      Get the rollback total time (milliseconds)
      Specified by:
        `getRollbackTotalTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getRollbackAverageTime

          public long getRollbackAverageTime()

      Get the rollback average time (milliseconds)
      Specified by:
        `getRollbackAverageTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getRollbackMaxTime

          public long getRollbackMaxTime()

      Get the rollback max time (milliseconds)
      Specified by:
        `getRollbackMaxTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### deltaRollback

          public void deltaRollback(long time)

      Delta rollback
      Specified by:
        `deltaRollback` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Parameters:
        `time` - The milliseconds

    - #### getStartCount

          public long getStartCount()

      Get the start count
      Specified by:
        `getStartCount` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getStartTotalTime

          public long getStartTotalTime()

      Get the start total time (milliseconds)
      Specified by:
        `getStartTotalTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getStartAverageTime

          public long getStartAverageTime()

      Get the start average time (milliseconds)
      Specified by:
        `getStartAverageTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### getStartMaxTime

          public long getStartMaxTime()

      Get the start max time (milliseconds)
      Specified by:
        `getStartMaxTime` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Returns:
        The value

    - #### deltaStart

          public void deltaStart(long time)

      Delta start
      Specified by:
        `deltaStart` in interface `org.jboss.jca.core.spi.transaction.XAResourceStatistics`
      Parameters:
        `time` - The milliseconds

    - #### clear

          public void clear()

      Clear all statistics
      Specified by:
        `clear` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`

    - #### toString

          public java.lang.String toString()

      toString
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)